<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  (c) 2007 Varsity Gateway LLC.  All rights reserved. --><plugin id="com.metamatrix.query.ui" name="%pluginName" version="5.5.0"
        provider-name="%providerName"
        class="com.metamatrix.query.ui.UiPlugin">

   <runtime>
      <library name="queryUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="queryUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.metamodels.transformation"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.query"/>
      <import plugin="com.metamatrix.modeler.core"/>
   </requires>
   <extension point="com.metamatrix.ui.editorPreferences">
         <editorPreferenceComponent class="com.metamatrix.query.ui.preferences.QueryEditorPreferencesComponent"/>
   </extension>   
</plugin>